summaryrefslogtreecommitdiffstats
path: root/testing/ruby-gollum-lib-github-markup
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-05-27 16:26:24 +0200
committerNatanael Copa <ncopa@alpinelinux.org>2014-05-27 16:28:25 +0200
commit5c5739af2ff24c8d681176862cea921135a983a2 (patch)
treeef44105ee9e5d2c11ebbe01397854ca640669fe6 /testing/ruby-gollum-lib-github-markup
parent471bfc8fadef907c1f7e730a65b307b52d74ca47 (diff)
downloadaports-5c5739af2ff24c8d681176862cea921135a983a2.tar.bz2
aports-5c5739af2ff24c8d681176862cea921135a983a2.tar.xz
testing/ruby-gollum-lib-github-markup: new aport
This gem is used by GitHub to render any fancy markup such as Markdown, Textile, Org-Mode, etc. http://rubygems.org/gems/github-markup
Diffstat (limited to 'testing/ruby-gollum-lib-github-markup')
-rw-r--r--testing/ruby-gollum-lib-github-markup/APKBUILD39
1 files changed, 39 insertions, 0 deletions
diff --git a/testing/ruby-gollum-lib-github-markup/APKBUILD b/testing/ruby-gollum-lib-github-markup/APKBUILD
new file mode 100644
index 000000000..4d63a36d3
--- /dev/null
+++ b/testing/ruby-gollum-lib-github-markup/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Seung Soo Mun <hamletmun@gmail.com>
+# Maintainer:
+_gemname=github-markup
+pkgname=ruby-gollum-lib-$_gemname
+pkgver=1.1.2
+pkgrel=0
+pkgdesc="This gem is used by GitHub to render any fancy markup such as Markdown, Textile, Org-Mode, etc."
+url="http://rubygems.org/gems/$_gemname"
+arch="noarch"
+license="MIT"
+depends="ruby ruby-posix-spawn"
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://gems.rubyforge.org/gems/$_gemname-$pkgver.gem"
+
+_builddir="$srcdir"/$_realname-$pkgver
+
+build() {
+ return 0
+}
+
+package() {
+ local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
+ local _geminstdir=$_gemdir/gems/$_gemname-$pkgver
+ mkdir -p "$pkgdir" || return 1
+
+ gem install --local --install-dir "$pkgdir"/$_gemdir \
+ --ignore-dependencies --verbose --no-rdoc --no-ri \
+ "$srcdir"/$_gemname-$pkgver.gem || return 1
+ rm -rf "$pkgdir"/$_gemdir/cache \
+ "$pkgdir"/$_geminstdir/ext \
+ "$pkgdir"/$_geminstdir/.require_paths
+}
+
+md5sums="46e9435ff4bd7d8c62e5aad33ef8a800 github-markup-1.1.2.gem"
+sha256sums="4fac486cee8c1532784e5338beb3b56dc76b3d2d6a8cf3194bf7ab5285d54648 github-markup-1.1.2.gem"
+sha512sums="140f70b9c39d4a461ff4b74c1118d6e02a89e4f1d0556c56e43954502eafa64c1c1b671c2ad2b0b677d782918756d468c4627e87d7dd6c63e4393d35c99c8829 github-markup-1.1.2.gem"